using System;
using System.Collections;
using System.Collections.Generic;
using BeWo.Report.ReportObjects;


namespace BeWo.VKMAachen
{
	public class VKMAachenMitarbeiterstundenkontoBerechnung : MitarbeiterstundenkontoBerechnung
	{
		public override List<DateTime> GetFeiertage(int year)
		{
			var list = base.GetFeiertage(year);

			list.Add(new DateTime(year, 12, 31));

			DateTime osterSonntag = GetOsterSonntag(year);
			list.Add(osterSonntag.AddDays(-48)); // "Rosenmontag"

			return list;
		}
	}
}
